Chapter 57. Report Service
57.1. Report Service Copy linkLink copied to clipboard!
57.1.1. CancelReport Copy linkLink copied to clipboard!
DELETE /v2/reports/jobs/{id}/cancel
Cancels a queued report job for the given report id. If the job is not active, it is a noop. If a report is already being prepared, it won’t be cancelled.
57.1.1.1. Description Copy linkLink copied to clipboard!
57.1.1.2. Parameters Copy linkLink copied to clipboard!
57.1.1.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.1.3. Return Type Copy linkLink copied to clipboard!
Object
57.1.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
57.1.1.6. Samples Copy linkLink copied to clipboard!
57.1.2. CountReportConfigurations Copy linkLink copied to clipboard!
GET /v2/reports/configuration-count
CountReportConfigurations returns the number of report configurations.
57.1.2.1. Description Copy linkLink copied to clipboard!
57.1.2.2. Parameters Copy linkLink copied to clipboard!
57.1.2.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
57.1.2.3. Return Type Copy linkLink copied to clipboard!
57.1.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.2.6. Samples Copy linkLink copied to clipboard!
57.1.3. DeleteReport Copy linkLink copied to clipboard!
DELETE /v2/reports/jobs/{id}/delete
Deletes a generated report for the given report id
57.1.3.1. Description Copy linkLink copied to clipboard!
57.1.3.2. Parameters Copy linkLink copied to clipboard!
57.1.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.3.3. Return Type Copy linkLink copied to clipboard!
Object
57.1.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
57.1.3.6. Samples Copy linkLink copied to clipboard!
57.1.4. DeleteReportConfiguration Copy linkLink copied to clipboard!
DELETE /v2/reports/configurations/{id}
DeleteReportConfiguration removes the report configuration with given ID
57.1.4.1. Description Copy linkLink copied to clipboard!
57.1.4.2. Parameters Copy linkLink copied to clipboard!
57.1.4.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.4.3. Return Type Copy linkLink copied to clipboard!
Object
57.1.4.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.4.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |
57.1.4.6. Samples Copy linkLink copied to clipboard!
57.1.5. GetMyReportHistory Copy linkLink copied to clipboard!
GET /v2/reports/configurations/{id}/my-history
GetMyReportHistory returns the requester’s report job history for a report configuration with the specified ID.
57.1.5.1. Description Copy linkLink copied to clipboard!
57.1.5.2. Parameters Copy linkLink copied to clipboard!
57.1.5.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.5.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
57.1.5.3. Return Type Copy linkLink copied to clipboard!
57.1.5.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.5.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.5.6. Samples Copy linkLink copied to clipboard!
57.1.6. GetReportConfiguration Copy linkLink copied to clipboard!
GET /v2/reports/configurations/{id}
GetReportConfiguration returns the report configuration with given ID
57.1.6.1. Description Copy linkLink copied to clipboard!
57.1.6.2. Parameters Copy linkLink copied to clipboard!
57.1.6.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.6.3. Return Type Copy linkLink copied to clipboard!
57.1.6.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.6.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.6.6. Samples Copy linkLink copied to clipboard!
57.1.7. GetReportHistory Copy linkLink copied to clipboard!
GET /v2/reports/configurations/{id}/history
GetReportHistory returns the full report job history for a report configuration with the specified ID.
57.1.7.1. Description Copy linkLink copied to clipboard!
57.1.7.2. Parameters Copy linkLink copied to clipboard!
57.1.7.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.7.2.2. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
57.1.7.3. Return Type Copy linkLink copied to clipboard!
57.1.7.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.7.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.7.6. Samples Copy linkLink copied to clipboard!
57.1.8. GetReportStatus Copy linkLink copied to clipboard!
GET /v2/reports/jobs/{id}/status
GetReportStatus returns report status for the given report id
57.1.8.1. Description Copy linkLink copied to clipboard!
57.1.8.2. Parameters Copy linkLink copied to clipboard!
57.1.8.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.8.3. Return Type Copy linkLink copied to clipboard!
57.1.8.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.8.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.8.6. Samples Copy linkLink copied to clipboard!
57.1.9. GetViewBasedMyReportHistory Copy linkLink copied to clipboard!
GET /v2/reports/view-based/my-history
57.1.9.1. Description Copy linkLink copied to clipboard!
57.1.9.2. Parameters Copy linkLink copied to clipboard!
57.1.9.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
57.1.9.3. Return Type Copy linkLink copied to clipboard!
57.1.9.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.9.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.9.6. Samples Copy linkLink copied to clipboard!
57.1.10. GetViewBasedReportHistory Copy linkLink copied to clipboard!
GET /v2/reports/view-based/history
57.1.10.1. Description Copy linkLink copied to clipboard!
57.1.10.2. Parameters Copy linkLink copied to clipboard!
57.1.10.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| reportParamQuery.query | - | null | ||
| reportParamQuery.pagination.limit | - | null | ||
| reportParamQuery.pagination.offset | - | null | ||
| reportParamQuery.pagination.sortOption.field | - | null | ||
| reportParamQuery.pagination.sortOption.reversed | - | null | ||
| reportParamQuery.pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| reportParamQuery.pagination.sortOption.aggregateBy.distinct | - | null |
57.1.10.3. Return Type Copy linkLink copied to clipboard!
57.1.10.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.10.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.10.6. Samples Copy linkLink copied to clipboard!
57.1.11. ListReportConfigurations Copy linkLink copied to clipboard!
GET /v2/reports/configurations
ListReportConfigurations returns report configurations matching given query
57.1.11.1. Description Copy linkLink copied to clipboard!
57.1.11.2. Parameters Copy linkLink copied to clipboard!
57.1.11.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| query | - | null | ||
| pagination.limit | - | null | ||
| pagination.offset | - | null | ||
| pagination.sortOption.field | - | null | ||
| pagination.sortOption.reversed | - | null | ||
| pagination.sortOption.aggregateBy.aggrFunc | - | UNSET | ||
| pagination.sortOption.aggregateBy.distinct | - | null |
57.1.11.3. Return Type Copy linkLink copied to clipboard!
57.1.11.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.11.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.11.6. Samples Copy linkLink copied to clipboard!
57.1.12. PostReportConfiguration Copy linkLink copied to clipboard!
POST /v2/reports/configurations
PostReportConfiguration creates a report configuration
57.1.12.1. Description Copy linkLink copied to clipboard!
57.1.12.2. Parameters Copy linkLink copied to clipboard!
57.1.12.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
57.1.12.3. Return Type Copy linkLink copied to clipboard!
57.1.12.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.12.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.12.6. Samples Copy linkLink copied to clipboard!
57.1.13. PostViewBasedReport Copy linkLink copied to clipboard!
POST /v2/reports/view-based/run
57.1.13.1. Description Copy linkLink copied to clipboard!
57.1.13.2. Parameters Copy linkLink copied to clipboard!
57.1.13.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
57.1.13.3. Return Type Copy linkLink copied to clipboard!
57.1.13.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.13.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.13.6. Samples Copy linkLink copied to clipboard!
57.1.14. RunReport Copy linkLink copied to clipboard!
POST /v2/reports/run
Submits a new report generation request if the user requesting this report does not have another waiting or preparing report for the same report configuration.
57.1.14.1. Description Copy linkLink copied to clipboard!
57.1.14.2. Parameters Copy linkLink copied to clipboard!
57.1.14.2.1. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
57.1.14.3. Return Type Copy linkLink copied to clipboard!
57.1.14.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.14.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
57.1.14.6. Samples Copy linkLink copied to clipboard!
57.1.15. UpdateReportConfiguration Copy linkLink copied to clipboard!
PUT /v2/reports/configurations/{id}
UpdateReportConfiguration updates a report configuration
57.1.15.1. Description Copy linkLink copied to clipboard!
57.1.15.2. Parameters Copy linkLink copied to clipboard!
57.1.15.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| id | X | null |
57.1.15.2.2. Body Parameter Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| body | X |
57.1.15.3. Return Type Copy linkLink copied to clipboard!
Object
57.1.15.4. Content Type Copy linkLink copied to clipboard!
- application/json
57.1.15.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. |
|
| 0 | An unexpected error response. |